org.eclipse.emf.compare.rcp.internal.preferences

## Class EMFComparePreferences

- java.lang.Object
- - org.eclipse.emf.compare.rcp.internal.preferences.EMFComparePreferences

    public final class EMFComparePreferences
    extends Object

Preferences constants and utilities for the EMF Compare RCP plug-in.

### Field Summary

Fields
`static String` `CONFLICTS_DETECTOR` Conflicts detector preference.
`static String` `DIFF_ENGINES` Differences Engine preference.
`static String` `DISABLED_ADAPTER_FACTORY` Disabled adapter factories preference.
`static String` `DISABLED_POST_PROCESSOR` Disabled post processors preference.
`static String` `EMFC_APPENDER_NAME` Log4j appender used by EMFCompare.
`static String` `EQUI_ENGINES` Equivalences Engine preference.
`static String` `LOG_BACKUP_COUNT_KEY` Preference key for log4j backup file max number.
`static int` `LOG_BACKUP_DEFAULT` Default log4j backup file max number.
`static String` `LOG_FILE_DEFAULT` Default log4j file name.
`static String` `LOG_FILE_MAX_SIZE_KEY` Preference key for log4j maximum file size.
`static int` `LOG_FILE_SIZE_DEFAULT` Default log4j maximum file size.
`static String` `LOG_FILENAME_KEY` Preference key for log4j file name.
`static String` `LOG_LEVEL_DEFAULT` Default log4j level.
`static String` `LOG_LEVEL_KEY` Preference key for log4j log level.
`static String` `LOG_PATTERN` Pattern used for log4j logging.
`static String` `MATCH_ENGINE_DISABLE_ENGINES` Disabled match engine preference.
`static String` `REQ_ENGINES` Requirements Engine preference.

### Method Summary

All Methods Static Methods Concrete Methods
`static List<String>` `getDisabledAdapterFactoryDescriptorIds()` Gets the ids of all disabled EMF Compare adapter factory descriptors.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DIFF_ENGINES

    public static final String DIFF_ENGINES

Differences Engine preference. (Key to use in the registry to retrieve the engine descriptor).

See Also:
  Constant Field Values

#### EQUI_ENGINES

    public static final String EQUI_ENGINES

Equivalences Engine preference. (Key to use in the registry to retrieve the engine descriptor).

See Also:
  Constant Field Values

#### REQ_ENGINES

    public static final String REQ_ENGINES

Requirements Engine preference. (Key to use in the registry to retrieve the engine descriptor).

See Also:
  Constant Field Values

#### CONFLICTS_DETECTOR

    public static final String CONFLICTS_DETECTOR

Conflicts detector preference. (Key to use in the registry to retrieve the engine descriptor).

See Also:
  Constant Field Values

#### MATCH_ENGINE_DISABLE_ENGINES

    public static final String MATCH_ENGINE_DISABLE_ENGINES

Disabled match engine preference. (Key to use in the registry to retrieve the engine descriptor).

See Also:
  Constant Field Values

#### DISABLED_POST_PROCESSOR

    public static final String DISABLED_POST_PROCESSOR

Disabled post processors preference.

See Also:
  Constant Field Values

#### DISABLED_ADAPTER_FACTORY

    public static final String DISABLED_ADAPTER_FACTORY

Disabled adapter factories preference.

See Also:
  Constant Field Values

#### LOG_FILENAME_KEY

    public static final String LOG_FILENAME_KEY

Preference key for log4j file name.

See Also:
  Constant Field Values

#### LOG_LEVEL_KEY

    public static final String LOG_LEVEL_KEY

Preference key for log4j log level.

See Also:
  Constant Field Values

#### LOG_BACKUP_COUNT_KEY

    public static final String LOG_BACKUP_COUNT_KEY

Preference key for log4j backup file max number.

See Also:
  Constant Field Values

#### LOG_FILE_MAX_SIZE_KEY

    public static final String LOG_FILE_MAX_SIZE_KEY

Preference key for log4j maximum file size.

See Also:
  Constant Field Values

#### EMFC_APPENDER_NAME

    public static final String EMFC_APPENDER_NAME

Log4j appender used by EMFCompare.

See Also:
  Constant Field Values

#### LOG_FILE_DEFAULT

    public static final String LOG_FILE_DEFAULT

Default log4j file name.

See Also:
  Constant Field Values

#### LOG_LEVEL_DEFAULT

    public static final String LOG_LEVEL_DEFAULT

Default log4j level.

See Also:
  Constant Field Values

#### LOG_BACKUP_DEFAULT

    public static final int LOG_BACKUP_DEFAULT

Default log4j backup file max number.

See Also:
  Constant Field Values

#### LOG_FILE_SIZE_DEFAULT

    public static final int LOG_FILE_SIZE_DEFAULT

Default log4j maximum file size.

See Also:
  Constant Field Values

#### LOG_PATTERN

    public static final String LOG_PATTERN

Pattern used for log4j logging.

     Date [Thread name] LEVEL 3.last.segments.of.logger.name <NDC Tag> - message\n

See Also:
  Constant Field Values

### Method Detail

#### getDisabledAdapterFactoryDescriptorIds

    public static List<String> getDisabledAdapterFactoryDescriptorIds()

Gets the ids of all disabled EMF Compare adapter factory descriptors.

Returns:
  List of ids;